Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1347967 - Field3D-v1.7.2 is available
Summary: Field3D-v1.7.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Field3D
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-19 12:13 UTC by Upstream Release Monitoring
Modified: 2016-07-08 18:08 UTC (History)
2 users (show)

Fixed In Version: Field3D-1.7.2-1.fc24 Field3D-1.7.2-1.fc22 Field3D-1.7.2-1.fc23
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-02 15:29:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-06-19 12:14 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-06-19 12:13:43 UTC
Latest upstream release: v1.7.2
Current version/release in rawhide: 1.7.1-2.fc25
URL: https://github.com/imageworks/Field3D

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/805/

Comment 1 Upstream Release Monitoring 2016-06-19 12:14:08 UTC
Patching or scratch build for Field3D-1.7.1 failed.

Comment 2 Upstream Release Monitoring 2016-06-19 12:14:08 UTC
Created attachment 1169525 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-06-19 12:14:09 UTC
Patches were not touched. All were applied properly

Comment 4 Fedora Update System 2016-06-21 22:37:56 UTC
Field3D-1.7.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-24be23b163

Comment 5 Fedora Update System 2016-06-21 22:38:01 UTC
Field3D-1.7.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc483e46b3

Comment 6 Fedora Update System 2016-06-21 22:38:05 UTC
Field3D-1.7.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-25ff545639

Comment 7 Fedora Update System 2016-06-22 22:56:31 UTC
Field3D-1.7.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-25ff545639

Comment 8 Fedora Update System 2016-06-22 22:59:46 UTC
Field3D-1.7.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc483e46b3

Comment 9 Fedora Update System 2016-06-22 23:03:17 UTC
Field3D-1.7.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24be23b163

Comment 10 Fedora Update System 2016-07-02 15:29:00 UTC
Field3D-1.7.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-07-02 19:26:38 UTC
Field3D-1.7.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-07-02 19:32:15 UTC
Field3D-1.7.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Rick Richardson 2016-07-08 17:58:04 UTC
$ root dnf update
Last metadata expiration check performed 1:38:33 ago on Fri Jul  8 11:11:50 2016.
Dependencies resolved.
================================================================================
 Package          Arch            Version                Repository        Size
================================================================================
Skipping packages with broken dependencies:
 Field3D          x86_64          1.7.2-1.fc22           updates          568 k

Transaction Summary
================================================================================
Skip  1 Package

Nothing to do.
Complete!

What's the deal?

Comment 14 Richard Shaw 2016-07-08 18:01:24 UTC
You'll have to run dnf with "--best" to get more details.

Comment 15 Rick Richardson 2016-07-08 18:03:49 UTC
$ root dnf update --best
Last metadata expiration check performed 1:51:15 ago on Fri Jul  8 11:11:50 2016.
Error: package OpenImageIO-1.5.24-1.fc22.x86_64 requires libField3D.so.1.6()(64bit), but none of the providers can be installed
(try to add '--allowerasing' to command line to replace conflicting packages)

Comment 16 Richard Shaw 2016-07-08 18:08:39 UTC
This update will address it but it didn't get any karma to go to stable early, but I've only got one more day before I can push it so it should resolve itself soon.

https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d3f06063b


Note You need to log in before you can comment on or make changes to this bug.